statistics-0.16.2.1: A library of statistical types, data, and functions

Safe Haskell | Safe-Inferred
Language | Haskell2010

Statistics.ConfidenceInt

Contents

- References

Description

Calculation of confidence intervals

Synopsis

- poissonCI :: CL Double -> Int -> Estimate ConfInt Double
- poissonNormalCI :: Int -> Estimate NormalErr Double
- binomialCI :: CL Double -> Int -> Int -> Estimate ConfInt Double
- naiveBinomialCI :: Int -> Int -> Estimate NormalErr Double

# Documentation

poissonCI :: CL Double -> Int -> Estimate ConfInt Double Source #

Calculate confidence intervals for Poisson-distributed value for single measurement. These are exact confidence intervals

poissonNormalCI :: Int -> Estimate NormalErr Double Source #

Calculate confidence intervals for Poisson-distributed value using normal approximation

binomialCI Source #

Arguments

:: CL Double |
-> Int | Number of trials
-> Int | Number of successes
-> Estimate ConfInt Double |

Clopper-Pearson confidence interval also known as exact confidence intervals.

naiveBinomialCI Source #

Arguments

:: Int | Number of trials
-> Int | Number of successes
-> Estimate NormalErr Double |

Calculate confidence interval using normal approximation. Note that this approximation breaks down when p is either close to 0 or to 1. In particular if `np < 5` or `1 - np < 5` this approximation shouldn't be used.

# References

- Clopper, C.; Pearson, E. S. (1934). "The use of confidence or fiducial limits illustrated in the case of the binomial". Biometrika 26: 404–413. doi:10.1093biomet26.4.404
- Brown, Lawrence D.; Cai, T. Tony; DasGupta, Anirban (2001). "Interval Estimation for a Binomial Proportion". Statistical Science 16 (2): 101–133. doi:10.1214ss1009213286. MR 1861069. Zbl 02068924.